;;;;隐藏物体Command:VH--------------------------- (DEFUN C:VH () (princ "\n选择要隐藏实体:") (if (null SSenth) (princ) (progn (setq ssolb SSenth) (setq sseolb SSeobj) );end progn );end if (initget 1)
(DEFUN C:VH ()
(princ "\n选择要隐藏实体:")
(if (null SSenth)
(princ)
(progn
(setq ssolb SSenth)
(setq sseolb SSeobj)
);end progn
);end if
(initget 1)
(setq SST (ssget))
(if (null sst)
(princ)
(progn
(setq sseobj sst)
(setq SSenth (sslength SSeobj))
(setq nob 0)
(repeat SSenth
(setq SSent (ssname SSeobj nob))
(redraw ssent 2)
(setq nob (+ nob 1))
);end repeat
(if (null ssolb)
(princ)
(progn
(setq SSenth (+ SSolb SSenth));回归实体数
(setq nob 0)
(repeat SSolb
(setq SSent (ssname SSeolb nob))
(setq SSeobj (ssadd SSent sseobj))
(setq nob (+ nob 1))
);end repeat(回归实体集)
);end progn
);end if
(princ)
);end progn
);end if
);end defun
;;;;恢复显示Command:VR---------------------------
(DEFUN C:VR ()
(setq nob 0)
(if (null ssenth)
(princ "\n 无隐藏对象")
(progn
(repeat SSenth
(setq SSent (ssname SSeobj nob));
(redraw ssent 1);
(setq nob (+ nob 1))
);end repeat
(setq ssenth nil)
(setq ssolb nil)
(setq sseolb nil)
(setq SSend nil)
);end progn
);end if
(princ)
);end defun
;;;;---------------------------------------------